void motor_open() {
  pinMode(PIN_DIR_L, OUTPUT);
  pinMode(PIN_PWM_L, OUTPUT);
  pinMode(PIN_DIR_R, OUTPUT);
  pinMode(PIN_PWM_R, OUTPUT);
  analogWrite(PIN_PWM_L, 0);
  analogWrite(PIN_PWM_R, 0);

  pinMode(PIN_DIR_VAC, OUTPUT);
  analogWrite(PIN_DIR_VAC, 0);
  pinMode(PIN_DIR_AIR, OUTPUT);
  analogWrite(PIN_DIR_AIR, 0); 
  //pinMode(PIN_ROT_WIR, OUTPUT);
  //analogWrite(PIN_ROT_WIR, 0);
}

void motor_set(int pwm_l, int pwm_r) {
  // モータ回転方向の補正
  //pwm_l *= -1;
  pwm_r *= -1;

  if (pwm_l >  255) pwm_l =  255;
  if (pwm_l < -255) pwm_l = -255;
  if (pwm_r >  255) pwm_r =  255;
  if (pwm_r < -255) pwm_r = -255;

  if (pwm_l > 0) {
    digitalWrite(PIN_DIR_L, HIGH);
    analogWrite(PIN_PWM_L, pwm_l);
  } else {
    digitalWrite(PIN_DIR_L, LOW);
    analogWrite(PIN_PWM_L, -pwm_l);
  }
  if (pwm_r > 0) {
    digitalWrite(PIN_DIR_R, HIGH);
    analogWrite(PIN_PWM_R, pwm_r);
  } else {
    digitalWrite(PIN_DIR_R, LOW);
    analogWrite(PIN_PWM_R, -pwm_r);
  }
}

/*void vac_set(int pwm_vac){//吸引機
  if (pwm_vac >  255) pwm_vac =  255;
  if (pwm_vac < -255) pwm_vac = -255;//pwm_vacはRaspiから受け取り

   if (pwm_vac > 0) {
    digitalWrite(PIN_ROT_VAC, HIGH);
    analogWrite(PIN_ROT_VAC, pwm_vac);
  } else {
    digitalWrite(PIN_ROT_VAC, LOW);
    analogWrite(PIN_ROT_VAC, -pwm_vac);
  }
}


void air_set(int pwm_air){//空気清浄機
  if (pwm_air >  255) pwm_air =  255;
  if (pwm_air < -255) pwm_air = -255;//pwm_airはRaspiから受け取り

   if (pwm_air > 0) {
    digitalWrite(PIN_ROT_AIR, HIGH);
    analogWrite(PIN_ROT_AIR, pwm_air);
  } else {
    digitalWrite(PIN_ROT_AIR, LOW);
    analogWrite(PIN_ROT_AIR, -pwm_air);
  }
}*/
